%bcond_without fuse
%bcond_without lz4
%bcond_with lzma
%bcond_without selinux
%bcond_without uuid

Name:           erofs-utils
Version:        1.5
Release:        %mkrel 1
Group:          System/Kernel and hardware
Summary:        Utilities for working with EROFS
License:        GPLv2+
URL:            https://git.kernel.org/pub/scm/linux/kernel/git/xiang/erofs-utils.git

Source0:        %{url}/snapshot/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  make
%if %{with fuse}
BuildRequires:  fuse-devel
%endif
%if %{with lz4}
BuildRequires:  lz4-devel
%endif
%if %{with lzma}
BuildRequires:  xz-devel >= 5.3.2
%endif
%if %{with selinux}
BuildRequires:  libselinux-devel
%endif
%if %{with uuid}
BuildRequires:  libuuid-devel
%endif

%description
EROFS stands for Enhanced Read-Only File System.  Different from other
read-only file systems, it is designed for flexibility, scalability, and
simplicity for high performance.

This package includes tools to create, check, and extract EROFS images.

%if %{with fuse}
%package -n erofs-fuse
Summary:        FUSE support for mounting EROFS images
Requires:       fuse

%description -n erofs-fuse
EROFS stands for Enhanced Read-Only File System.  Different from other
read-only file systems, it is designed for flexibility, scalability, and
simplicity for high performance.

This package includes erofsfuse to mount EROFS images.
%endif


%prep
%autosetup
autoreconf -fi

%build
%configure \
    %{?with_fuse:--enable-fuse} %{!?with_fuse:--disable-fuse} \
    %{?with_lz4:--enable-lz4} %{!?with_lz4:--disable-lz4} \
    %{?with_lzma:--enable-lzma} %{!?with_lzma:--disable-lzma} \
    %{?with_selinux:--with-selinux} %{!?with_selinux:--without-selinux} \
    %{?with_uuid:--with-uuid} %{!?with_uuid:--without-uuid}
%make_build

%install
%make_install


%files
%{_bindir}/dump.erofs
%{_bindir}/fsck.erofs
%{_bindir}/mkfs.erofs
%{_mandir}/man1/dump.erofs.1*
%{_mandir}/man1/fsck.erofs.1*
%{_mandir}/man1/mkfs.erofs.1*
%doc AUTHORS ChangeLog README
%license LICENSES/GPL-2.0


%if %{with fuse}
%files -n erofs-fuse
%{_bindir}/erofsfuse
%{_mandir}/man1/erofsfuse.1*
%doc AUTHORS ChangeLog README
%license LICENSES/GPL-2.0
%endif



%changelog
* Thu Jun 16 2022 tv <tv> 1.5-1.mga9
+ Revision: 1864540
- Update to the 1.5 release.

* Wed Mar 30 2022 umeabot <umeabot> 1.4-3.mga9
+ Revision: 1833700
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 tv <tv> 1.4-2.mga9
+ Revision: 1759320
- Backport the patch to install a man page for fsck.
- Backport the patch to fix dump output.
- Move erofsfuse man-page into erofs-fuse package

* Mon Nov 22 2021 tv <tv> 1.4-1.mga9
+ Revision: 1758547
- Update to the 1.4 release.

* Fri Jun 04 2021 tv <tv> 1.3-1.mga9
+ Revision: 1729649
- 1.3
- 1.2.1

* Fri Dec 11 2020 tv <tv> 1.2-1.mga8
+ Revision: 1655449
- Update to the 1.2 release.
- Split FUSE support into an independent subpackage.

* Wed Apr 15 2020 tv <tv> 1.1-1.mga8
+ Revision: 1567563
- imported package erofs-utils

